# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python2_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

%define sname PyQtWebEngine_gpl
%define sip_ver 1:4.19.12
%define qt5_minver 5.12.0

Name:           python-qt5-webengine
Version:        5.12.1
%define subrel  1
Release:        %mkrel 2
Summary:        Set of Python bindings for The Qt WebEngine library
License:        GPLv3
Group:          Development/KDE and Qt
URL:            https://www.riverbankcomputing.com/software/pyqtwebengine/
Source0:        https://www.riverbankcomputing.com/static/Downloads/PyQtWebEngine/%{sname}-%{version}.tar.gz

BuildRequires:  pkgconfig(python2)
BuildRequires:  python2-qt5-devel >= %{version}
BuildRequires:  python2-sip >= %{sip_ver}
BuildRequires:  python2-pyqt5-sip >= %{sip_ver}

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-qt5-devel >= %{version}
BuildRequires:  python3-sip-devel >= %{sip_ver}
BuildRequires:  python3-pyqt5-sip >= %{sip_ver}

BuildRequires:  pkgconfig(Qt5Core) >= %{qt5_minver}
BuildRequires:  pkgconfig(Qt5Gui) >= %{qt5_minver}
BuildRequires:  pkgconfig(Qt5Widgets) >= %{qt5_minver}
BuildRequires:  pkgconfig(Qt5WebEngine) >= %{qt5_minver}

%description
PyQtWebEngine is a set of Python bindings for The Qt Company's Qt WebEngine
library.
The bindings sit on top of PyQt5 and are implemented as a single module.

#------------------------------------------------------------

### python2-qt5

%define py2_name python2-qt5

%package -n     %{py2_name}-webengine
Summary:        PyQt 5 webengine
Group:          Development/KDE and Qt
Requires:       %{py2_name}-core >= %{version}
Requires:       python2-pyqt5-sip-api(%{_sip_api_major}) >= %{_sip_api}

Obsoletes:      python-qt5-webengine < 5.10.1-2
Provides:       python-qt5-webengine = %{version}-%{release}

%description -n %{py2_name}-webengine
PyQt 5 webengine.

%files -n %{py2_name}-webengine
%doc ChangeLog NEWS README
%{python2_sitearch}/PyQt5/QtWebEngine.so
%{python2_sitearch}/PyQt5/QtWebEngine.py*
%{python2_sitearch}/PyQtWebEngine-%{version}.dist-info
%{_datadir}/sip/PyQt5/QtWebEngine

#------------------------------------------------------------

%package -n     %{py2_name}-webenginecore
Summary:        PyQt 5 webenginecore
Group:          Development/KDE and Qt
Requires:       %{py2_name}-core >= %{version}
Requires:       python2-pyqt5-sip-api(%{_sip_api_major}) >= %{_sip_api}

Obsoletes:      python-qt5-webenginecore < 5.10.1-2
Provides:       python-qt5-webenginecore = %{version}-%{release}

%description -n %{py2_name}-webenginecore
PyQt 5 webenginecore.

%files -n %{py2_name}-webenginecore
%doc ChangeLog NEWS README
%{python2_sitearch}/PyQt5/QtWebEngineCore.so
%{python2_sitearch}/PyQt5/QtWebEngineCore.py*
%{_datadir}/sip/PyQt5/QtWebEngineCore

#------------------------------------------------------------

%package -n     %{py2_name}-webenginewidgets
Summary:        PyQt 5 webenginewidgets
Group:          Development/KDE and Qt
Requires:       %{py2_name}-core >= %{version}
Requires:       %{py2_name}-webenginecore = %{version}-%{release}
Requires:       python2-pyqt5-sip-api(%{_sip_api_major}) >= %{_sip_api}

Obsoletes:      python-qt5-webenginewidgets < 5.10.1-2
Provides:       python-qt5-webenginewidgets = %{version}-%{release}

%description -n %{py2_name}-webenginewidgets
PyQt 5 webenginewidgets.

%files -n %{py2_name}-webenginewidgets
%doc ChangeLog NEWS README
%{python2_sitearch}/PyQt5/QtWebEngineWidgets.so
%{python2_sitearch}/PyQt5/QtWebEngineWidgets.py*
%{_datadir}/sip/PyQt5/QtWebEngineWidgets

### END python2-qt5

#------------------------------------------------------------

### python3-qt5

%define py3_name python3-qt5

%package -n     %{py3_name}-webengine
Summary:        Python 3 bindings for PyQt 5 webengine
Group:          Development/KDE and Qt
Requires:       %{py3_name}-core >= %{version}
Requires:       python3-pyqt5-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-webengine
Python 3 bindings for PyQt 5 webengine.

%files -n %{py3_name}-webengine
%doc ChangeLog NEWS README
%{python3_sitearch}/PyQt5/QtWebEngine.so
%{python3_sitearch}/PyQt5/QtWebEngine.py*
%{python3_sitearch}/PyQtWebEngine-%{version}.dist-info
%{_datadir}/python3-sip/PyQt5/QtWebEngine

#------------------------------------------------------------

%package -n     %{py3_name}-webenginecore
Summary:        Python 3 bindings for PyQt 5 webenginecore
Group:          Development/KDE and Qt
Requires:       %{py3_name}-core >= %{version}
Requires:       python3-pyqt5-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-webenginecore
Python 3 bindings for PyQt 5 webenginecore.

%files -n %{py3_name}-webenginecore
%doc ChangeLog NEWS README
%{python3_sitearch}/PyQt5/QtWebEngineCore.so
%{python3_sitearch}/PyQt5/QtWebEngineCore.py*
%{_datadir}/python3-sip/PyQt5/QtWebEngineCore

#------------------------------------------------------------

%package -n     %{py3_name}-webenginewidgets
Summary:        Python 3 bindings for PyQt 5 webenginewidgets
Group:          Development/KDE and Qt
Requires:       %{py3_name}-core >= %{version}
Requires:       %{py3_name}-webenginecore = %{version}-%{release}
Requires:       python3-pyqt5-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-webenginewidgets
Python 3 bindings for PyQt 5 webenginewidgets.

%files -n %{py3_name}-webenginewidgets
%doc ChangeLog NEWS README
%{python3_sitearch}/PyQt5/QtWebEngineWidgets.so
%{python3_sitearch}/PyQt5/QtWebEngineWidgets.py*
%{_datadir}/python3-sip/PyQt5/QtWebEngineWidgets

#------------------------------------------------------------

%package -n    %{py3_name}-webengine-qsci-api
Summary:       Python 3 bindings for PyQt 5 webengine Qscintilla API
Group:         Development/KDE and Qt

%description -n %{py3_name}-webengine-qsci-api
Python 3 bindings for PyQt 5 webengine Qscintilla API.

%files -n %{py3_name}-webengine-qsci-api
%dir %{_qt5_prefix}/qsci/
%dir %{_qt5_prefix}/qsci/api/
%dir %{_qt5_prefix}/qsci/api/python/
%{_qt5_prefix}/qsci/api/python/PyQtWebEngine.api

### END python3-qt5

#------------------------------------------------------------

%prep
%autosetup -p1 -n %{sname}-%{version}

cp -a . %{py3dir}

%build
### Python 2 build:
%{__python2} ./configure.py \
  --pyqt-sipdir=%{_datadir}/sip/PyQt5 \
  --qmake="%{_qt5_bindir}/qmake" \
  --no-qsci-api \
  --debug \
  --verbose

%make_build CXXFLAGS="%{optflags} -fPIC \$(DEFINES)"

### Python 3 build:
pushd %{py3dir}
%{__python3} ./configure.py \
  --pyqt-sipdir=%{_datadir}/python3-sip/PyQt5 \
  --qmake="%{_qt5_bindir}/qmake" \
  --debug \
  --verbose

%make_build CXXFLAGS="%{optflags} -fPIC \$(DEFINES)"
popd

%install
### python 3 Install:
pushd %{py3dir}
%make_install INSTALL_ROOT=%{buildroot}
popd

### python 2 Install:
%make_install INSTALL_ROOT=%{buildroot}

# ensure .so modules are executable for proper -debuginfo extraction
for i in %{buildroot}%{python2_sitearch}/PyQt5/*.so %{buildroot}%{python3_sitearch}/PyQt5/*.so ; do
test -x $i  || chmod a+rx $i
done


%changelog
* Wed Nov 04 2020 akien <akien> 5.12.1-2.1.mga7
+ Revision: 1642503
- Fix extraction of debuginfo
- webenginewidgets needs webenginecore, so make it explicit

* Mon Apr 01 2019 umeabot <umeabot> 5.12.1-2.mga7
+ Revision: 1384123
- Qt5 Rebuild

* Fri Mar 22 2019 daviddavid <daviddavid> 5.12.1-1.mga7
+ Revision: 1379651
- new version: 5.12.1

* Thu Feb 14 2019 daviddavid <daviddavid> 5.12-1.mga7
+ Revision: 1366956
- initial package python-qt5-webengine

